Debian Bug report logs - #468793
tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Bastian Blank <waldi@debian.org>

Date: Sat, 1 Mar 2008 13:30:11 UTC

Severity: serious

Tags: help

Fixed in version glibc/2.7-16

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Pierre Habouzit <madcoder@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sat, 1 Mar 2008 14:26:00 +0100
Package: tokyocabinet
Version: 1.1.15-2
Severity: important

There was an error while trying to autobuild your package:

> Automatic build of tokyocabinet_1.1.15-2 on debian-31.osdl.marist.edu by sbuild/s390 98
[...]
> LD_LIBRARY_PATH=.  ./tchmttest typical -rr 1000 casket 5 50000 5000
> ERROR: ld.so: object 'libfakeroot-sysv.so' from LD_PRELOAD cannot be preloaded: ignored.
> <Typical Access Test>
>   path=casket  tnum=5  rnum=50000  bnum=5000  apow=-1  fpow=-1  opts=0  rcnum=0  omode=0  nc=0  rratio=1000
> 
> ......................... (00005000)
> ......................... (00010000)
> .......tchmttest: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
> make[1]: *** [check] Aborted
> make[1]: Leaving directory `/build/buildd/tokyocabinet-1.1.15'
> make: *** [build-arch-stamp] Error 2
> dpkg-buildpackage: failure: /usr/bin/fakeroot debian/rules binary-arch gave error exit status 2
> ******************************************************************************
> Build finished at 20080224-1355
> FAILED [dpkg-buildpackage died]




Severity set to `serious' from `important' Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Tue, 08 Apr 2008 00:33:02 GMT) Full text and rfc822 format available.

Bug marked as found in version 1.1.10-1. Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. (Tue, 08 Apr 2008 07:57:02 GMT) Full text and rfc822 format available.

Blocking bugs of 468793 added: 479952 Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:45:04 GMT) Full text and rfc822 format available.

Tags added: help Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Thu, 09 Oct 2008 18:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Thu, 09 Oct 2008 18:42:05 GMT) Full text and rfc822 format available.

Message #18 received at 468793@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 468793@bugs.debian.org
Subject: RE: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Fri, 10 Oct 2008 03:40:00 +0900
Hi,

 Just a question. Does this bug stay with upstream version?

 As I requested #489784, Tokyo Cabinet is updated, and now released 1.3.11 
 at 2008-09-23 (more than 10days ago).


 If you could try and fixed with upstream version, users get happy, I guess...

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468793; Package tokyocabinet. (Fri, 10 Oct 2008 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. (Fri, 10 Oct 2008 07:54:03 GMT) Full text and rfc822 format available.

Message #23 received at 468793@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>, 468793@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Fri, 10 Oct 2008 09:52:19 +0200
[Message part 1 (text/plain, inline)]
On Thu, Oct 09, 2008 at 06:40:00PM +0000, Hideki Yamane wrote:
> Hi,
> 
>  Just a question. Does this bug stay with upstream version?

It is likely to _not_ be a tokyocabinet bug but a libc one.

>  As I requested #489784, Tokyo Cabinet is updated, and now released 1.3.11 
>  at 2008-09-23 (more than 10days ago).

Yes but I can't push a full new upstream to Debian. That's why I did
nothing.
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Sat, 18 Oct 2008 15:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Sat, 18 Oct 2008 15:12:02 GMT) Full text and rfc822 format available.

Message #28 received at 468793@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Pierre Habouzit <madcoder@debian.org>
Cc: Hideki Yamane <henrich@debian.or.jp>, 468793@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sat, 18 Oct 2008 17:09:00 +0200
On Fri, Oct 10, 2008 at 09:52:19AM +0200, Pierre Habouzit wrote:
> On Thu, Oct 09, 2008 at 06:40:00PM +0000, Hideki Yamane wrote:
> > Hi,
> > 
> >  Just a question. Does this bug stay with upstream version?
> 
> It is likely to _not_ be a tokyocabinet bug but a libc one.

According to http://buildd.debian.org/pkg.cgi?pkg=tokyocabinet tokyocabinet
has been built on s390 now:

s390    1.2.1-1 Installed                                         2008 Oct 16 11:54:52

Has this been fixed by changes inside glibc? Can this bug be closed?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468793; Package tokyocabinet. (Sat, 18 Oct 2008 15:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. (Sat, 18 Oct 2008 15:57:02 GMT) Full text and rfc822 format available.

Message #33 received at 468793@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Hideki Yamane <henrich@debian.or.jp>, 468793@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sat, 18 Oct 2008 17:55:29 +0200
[Message part 1 (text/plain, inline)]
On Sat, Oct 18, 2008 at 03:09:00PM +0000, Moritz Muehlenhoff wrote:
> On Fri, Oct 10, 2008 at 09:52:19AM +0200, Pierre Habouzit wrote:
> > On Thu, Oct 09, 2008 at 06:40:00PM +0000, Hideki Yamane wrote:
> > > Hi,
> > > 
> > >  Just a question. Does this bug stay with upstream version?
> > 
> > It is likely to _not_ be a tokyocabinet bug but a libc one.
> 
> According to http://buildd.debian.org/pkg.cgi?pkg=tokyocabinet tokyocabinet
> has been built on s390 now:
> 
> s390    1.2.1-1 Installed                                         2008 Oct 16 11:54:52
> 
> Has this been fixed by changes inside glibc? Can this bug be closed?

Not that I'm aware of (with my glibc-packager hat on).

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Sun, 19 Oct 2008 07:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Sun, 19 Oct 2008 07:21:08 GMT) Full text and rfc822 format available.

Message #38 received at 468793@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Pierre Habouzit <madcoder@debian.org>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sun, 19 Oct 2008 16:18:49 +0900
On Sat, 18 Oct 2008 17:55:29 +0200
Pierre Habouzit <madcoder@debian.org> wrote:
> > > It is likely to _not_ be a tokyocabinet bug but a libc one.
> > 
> > According to http://buildd.debian.org/pkg.cgi?pkg=tokyocabinet tokyocabinet
> > has been built on s390 now:
> > 
> > s390    1.2.1-1 Installed                                         2008 Oct 16 11:54:52
> > 
> > Has this been fixed by changes inside glibc? Can this bug be closed?
> 
> Not that I'm aware of (with my glibc-packager hat on).

 That sounds good thing! :)
 # and apologize to you for making some noise.


 And is there any porter machine for non-DD (upstream)?


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468793; Package tokyocabinet. (Sun, 19 Oct 2008 14:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. (Sun, 19 Oct 2008 14:51:08 GMT) Full text and rfc822 format available.

Message #43 received at 468793@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sun, 19 Oct 2008 16:48:26 +0200
[Message part 1 (text/plain, inline)]
On Sun, Oct 19, 2008 at 07:18:49AM +0000, Hideki Yamane wrote:
> On Sat, 18 Oct 2008 17:55:29 +0200
> Pierre Habouzit <madcoder@debian.org> wrote:
> > > > It is likely to _not_ be a tokyocabinet bug but a libc one.
> > > 
> > > According to http://buildd.debian.org/pkg.cgi?pkg=tokyocabinet tokyocabinet
> > > has been built on s390 now:
> > > 
> > > s390    1.2.1-1 Installed                                         2008 Oct 16 11:54:52
> > > 
> > > Has this been fixed by changes inside glibc? Can this bug be closed?
> > 
> > Not that I'm aware of (with my glibc-packager hat on).
> 
>  That sounds good thing! :)
>  # and apologize to you for making some noise.
> 
> 
>  And is there any porter machine for non-DD (upstream)?

Not that I'm aware of, and it's probably a bug in s390 assembly, and
actually not a tokyocabinet bug _at all_. So unless upstream knows s390
assembly... I don't think he can help a lot :)
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Sun, 26 Oct 2008 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Sun, 26 Oct 2008 13:57:04 GMT) Full text and rfc822 format available.

Message #48 received at 468793@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Pierre Habouzit <madcoder@debian.org>, 468793@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Moritz Muehlenhoff <jmm@inutil.org>
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sun, 26 Oct 2008 14:55:59 +0100
[Message part 1 (text/plain, inline)]
At 1224427706 time_t, Pierre Habouzit wrote:
> Not that I'm aware of, and it's probably a bug in s390 assembly, and
> actually not a tokyocabinet bug _at all_. So unless upstream knows s390
> assembly... I don't think he can help a lot :)

I propose to desactivate the test suite on s390 in order to get this bug fixed.
Attached is a trivial patch.

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[0001-Deactivate-test-suite-on-s390.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Mon, 27 Oct 2008 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Mon, 27 Oct 2008 10:03:05 GMT) Full text and rfc822 format available.

Message #53 received at 468793@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Pierre Habouzit <madcoder@debian.org>, 468793@bugs.debian.org, debian-release@lists.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Moritz Muehlenhoff <jmm@inutil.org>
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 11:01:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

At 1224427706 time_t, Pierre Habouzit wrote:
> Not that I'm aware of, and it's probably a bug in s390 assembly, and
> actually not a tokyocabinet bug _at all_. So unless upstream knows s390
> assembly... I don't think he can help a lot :)

After discussing with Pierre, it seems that #479952 (blocker of this bug)
will not be fixed unless some porters move theirs asses and hunt him
down, which isn't very likely to happen before Lenny got released,
adding that this one has only important severity.

Pierre does not want to drop build tests like I proposed, which I
understand.

Adding that tokyocabinet thread support is not used by any Debian
application, the fact that the tests fail is not critical to us.

Therefore, I suggest to make a decision and to tag this bug lenny-ignore.

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Mon, 27 Oct 2008 18:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Mon, 27 Oct 2008 18:03:05 GMT) Full text and rfc822 format available.

Message #58 received at 468793@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Julien Danjou <acid@debian.org>
Cc: Pierre Habouzit <madcoder@debian.org>, jmm@inutil.org, 468793@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 18:44:42 +0100
Julien Danjou wrote:

> At 1224427706 time_t, Pierre Habouzit wrote:
> > Not that I'm aware of, and it's probably a bug in s390 assembly, and
> > actually not a tokyocabinet bug _at all_. So unless upstream knows s390
> > assembly... I don't think he can help a lot :)
> 
> After discussing with Pierre, it seems that #479952 (blocker of this bug)
> will not be fixed unless some porters move theirs asses and hunt him
> down, which isn't very likely to happen before Lenny got released,
> adding that this one has only important severity.
> 
> Pierre does not want to drop build tests like I proposed, which I
> understand.
> 
> Adding that tokyocabinet thread support is not used by any Debian
> application, the fact that the tests fail is not critical to us.
> 
> Therefore, I suggest to make a decision and to tag this bug lenny-ignore.

Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Mon, 27 Oct 2008 19:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Mon, 27 Oct 2008 19:03:02 GMT) Full text and rfc822 format available.

Message #63 received at 468793@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, Martin Schwidefsky <schwidefsky@de.ibm.com>
Cc: Pierre Habouzit <madcoder@debian.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 19:59:19 +0100
[Message part 1 (text/plain, inline)]
At 1225129482 time_t, Moritz Muehlenhoff wrote:
> Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.

Why not.

Martin, do you have any clue about bug #479952?

http://bugs.debian.org/479952

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Thu, 30 Oct 2008 12:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to schwidefsky@de.ibm.com:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Thu, 30 Oct 2008 12:48:06 GMT) Full text and rfc822 format available.

Message #68 received at 468793@bugs.debian.org (full text, mbox):

From: Martin Schwidefsky <schwidefsky@de.ibm.com>
To: Julien Danjou <acid@debian.org>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, Pierre Habouzit <madcoder@debian.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Thu, 30 Oct 2008 13:44:35 +0100
On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> 
> Why not.
> 
> Martin, do you have any clue about bug #479952?
> 
> http://bugs.debian.org/479952

This does look familiar, I've seen this some years ago with broken
locking primivites in the nptl lowlevellock implementation. Could you
check your copy of glibc to verify if the locking inline assemblies in
nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
clobber? This has been the bug last time. Just for information I'm
currently on travel and will read my mail only randomly.

-- 
blue skies,
  Martin.

"Reality continues to ruin my life." - Calvin.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468793; Package tokyocabinet. (Thu, 30 Oct 2008 13:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. (Thu, 30 Oct 2008 13:15:02 GMT) Full text and rfc822 format available.

Message #73 received at 468793@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Martin Schwidefsky <schwidefsky@de.ibm.com>
Cc: Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Thu, 30 Oct 2008 14:12:12 +0100
[Message part 1 (text/plain, inline)]
On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > 
> > Why not.
> > 
> > Martin, do you have any clue about bug #479952?
> > 
> > http://bugs.debian.org/479952
> 
> This does look familiar, I've seen this some years ago with broken
> locking primivites in the nptl lowlevellock implementation. Could you
> check your copy of glibc to verify if the locking inline assemblies in
> nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> clobber? This has been the bug last time. Just for information I'm
> currently on travel and will read my mail only randomly.

They all have the memory constraint.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Pierre Habouzit <madcoder@debian.org>:
Bug#468793; Package tokyocabinet. (Mon, 03 Nov 2008 10:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to schwidefsky@de.ibm.com:
Extra info received and forwarded to list. Copy sent to Pierre Habouzit <madcoder@debian.org>. (Mon, 03 Nov 2008 10:42:14 GMT) Full text and rfc822 format available.

Message #78 received at 468793@bugs.debian.org (full text, mbox):

From: Martin Schwidefsky <schwidefsky@de.ibm.com>
To: Pierre Habouzit <madcoder@debian.org>
Cc: Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 03 Nov 2008 10:59:28 +0100
On Thu, 2008-10-30 at 14:12 +0100, Pierre Habouzit wrote:
> On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> > On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > > 
> > > Why not.
> > > 
> > > Martin, do you have any clue about bug #479952?
> > > 
> > > http://bugs.debian.org/479952
> > 
> > This does look familiar, I've seen this some years ago with broken
> > locking primivites in the nptl lowlevellock implementation. Could you
> > check your copy of glibc to verify if the locking inline assemblies in
> > nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> > clobber? This has been the bug last time. Just for information I'm
> > currently on travel and will read my mail only randomly.
> 
> They all have the memory constraint.

In the meantime Michael Matz from Novell found the problem: the
__lll_lock Funktion uses atomic_compare_and_exchange_bool_acq which uses
the __arch_compare_and_exchange_val_32_acq function which does NOT have
a "memory" clobber. The patch below should fix the problem

-- 
blue skies,
  Martin.

"Reality continues to ruin my life." - Calvin.

---
diff -urpN libc/sysdeps/s390/bits/atomic.h libc-s390/sysdeps/s390/bits/atomic.h
--- libc/sysdeps/s390/bits/atomic.h	2003-05-05 20:20:54.000000000 +0200
+++ libc-s390/sysdeps/s390/bits/atomic.h	2008-11-03 10:56:20.000000000 +0100
@@ -56,7 +56,7 @@ typedef uintmax_t uatomic_max_t;
      __typeof (*mem) __archold = (oldval);				      \
      __asm __volatile ("cs %0,%2,%1"					      \
 		       : "+d" (__archold), "=Q" (*__archmem)		      \
-		       : "d" (newval), "m" (*__archmem) : "cc" );	      \
+		       : "d" (newval), "m" (*__archmem) : "cc", "memory" );   \
      __archold; })
 
 #ifdef __s390x__
@@ -65,7 +65,8 @@ typedef uintmax_t uatomic_max_t;
      __typeof (*mem) __archold = (oldval);				      \
      __asm __volatile ("csg %0,%2,%1"					      \
 		       : "+d" (__archold), "=Q" (*__archmem)		      \
-		       : "d" ((long) (newval)), "m" (*__archmem) : "cc" );    \
+		       : "d" ((long) (newval)), "m" (*__archmem)	      \
+		       : "cc", "memory" );				      \
      __archold; })
 #else
 /* For 31 bit we do not really need 64-bit compare-and-exchange. We can






Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#468793; Package tokyocabinet. (Mon, 03 Nov 2008 14:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. (Mon, 03 Nov 2008 14:03:03 GMT) Full text and rfc822 format available.

Message #83 received at 468793@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: schwidefsky@de.ibm.com, 479952@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org
Subject: Re: Bug#479952: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 03 Nov 2008 15:01:48 +0100
[Message part 1 (text/plain, inline)]
reassign 468793 glibc
forcemerge 479952 468793
thanks

On Mon, Nov 03, 2008 at 09:59:28AM +0000, Martin Schwidefsky wrote:
> On Thu, 2008-10-30 at 14:12 +0100, Pierre Habouzit wrote:
> > On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> > > On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > > > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > > > 
> > > > Why not.
> > > > 
> > > > Martin, do you have any clue about bug #479952?
> > > > 
> > > > http://bugs.debian.org/479952
> > > 
> > > This does look familiar, I've seen this some years ago with broken
> > > locking primivites in the nptl lowlevellock implementation. Could you
> > > check your copy of glibc to verify if the locking inline assemblies in
> > > nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> > > clobber? This has been the bug last time. Just for information I'm
> > > currently on travel and will read my mail only randomly.
> > 
> > They all have the memory constraint.
> 
> In the meantime Michael Matz from Novell found the problem: the
> __lll_lock Funktion uses atomic_compare_and_exchange_bool_acq which uses
> the __arch_compare_and_exchange_val_32_acq function which does NOT have
> a "memory" clobber. The patch below should fix the problem

Wonderful, thanks a lot to him !

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `tokyocabinet' to `glibc'. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Mon, 03 Nov 2008 14:12:15 GMT) Full text and rfc822 format available.

Bug reassigned from package `glibc' to `libc6/s390'. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Mon, 03 Nov 2008 14:27:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `libc6/s390' to `libc6'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Mon, 03 Nov 2008 18:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#468793; Package libc6. (Mon, 03 Nov 2008 23:42:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 03 Nov 2008 23:42:16 GMT) Full text and rfc822 format available.

Message #94 received at 468793@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: schwidefsky@de.ibm.com, 479952@bugs.debian.org
Cc: Pierre Habouzit <madcoder@debian.org>, Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org
Subject: Re: Bug#479952: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Tue, 4 Nov 2008 00:40:53 +0100
On Mon, Nov 03, 2008 at 10:59:28AM +0100, Martin Schwidefsky wrote:
> On Thu, 2008-10-30 at 14:12 +0100, Pierre Habouzit wrote:
> > On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> > > On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > > > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > > > 
> > > > Why not.
> > > > 
> > > > Martin, do you have any clue about bug #479952?
> > > > 
> > > > http://bugs.debian.org/479952
> > > 
> > > This does look familiar, I've seen this some years ago with broken
> > > locking primivites in the nptl lowlevellock implementation. Could you
> > > check your copy of glibc to verify if the locking inline assemblies in
> > > nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> > > clobber? This has been the bug last time. Just for information I'm
> > > currently on travel and will read my mail only randomly.
> > 
> > They all have the memory constraint.
> 
> In the meantime Michael Matz from Novell found the problem: the
> __lll_lock Funktion uses atomic_compare_and_exchange_bool_acq which uses
> the __arch_compare_and_exchange_val_32_acq function which does NOT have
> a "memory" clobber. The patch below should fix the problem
> 

I confirm that it works, thanks a lot!

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Tags added: pending Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Mon, 03 Nov 2008 23:42:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#468793; Package libc6. (Tue, 04 Nov 2008 03:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 04 Nov 2008 03:54:03 GMT) Full text and rfc822 format available.

Message #101 received at 468793@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Pierre Habouzit <madcoder@debian.org>, 468793@bugs.debian.org
Cc: Hideki Yamane <henrich@debian.or.jp>, Moritz Muehlenhoff <jmm@inutil.org>
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Tue, 4 Nov 2008 03:53:25 +0000
On Sun, Oct 19, 2008 at 04:48:26PM +0200, Pierre Habouzit wrote:
> Not that I'm aware of, and it's probably a bug in s390 assembly, and
> actually not a tokyocabinet bug _at all_. So unless upstream knows s390
> assembly... I don't think he can help a lot :)

For future reference, the hercules package contains an s390 emulator which
might suffice for such things.




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 04 Nov 2008 18:54:03 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Tue, 04 Nov 2008 18:54:05 GMT) Full text and rfc822 format available.

Message #106 received at 468793-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 468793-close@bugs.debian.org
Subject: Bug#468793: fixed in glibc 2.7-16
Date: Tue, 04 Nov 2008 18:47:09 +0000
Source: glibc
Source-Version: 2.7-16

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.7-16_all.deb
  to pool/main/g/glibc/glibc-doc_2.7-16_all.deb
glibc-source_2.7-16_all.deb
  to pool/main/g/glibc/glibc-source_2.7-16_all.deb
glibc_2.7-16.diff.gz
  to pool/main/g/glibc/glibc_2.7-16.diff.gz
glibc_2.7-16.dsc
  to pool/main/g/glibc/glibc_2.7-16.dsc
libc6-dbg_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.7-16_amd64.deb
libc6-dev-i386_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.7-16_amd64.deb
libc6-dev_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.7-16_amd64.deb
libc6-i386_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.7-16_amd64.deb
libc6-pic_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.7-16_amd64.deb
libc6-prof_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.7-16_amd64.deb
libc6-udeb_2.7-16_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.7-16_amd64.udeb
libc6_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6_2.7-16_amd64.deb
libnss-dns-udeb_2.7-16_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.7-16_amd64.udeb
libnss-files-udeb_2.7-16_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.7-16_amd64.udeb
locales-all_2.7-16_amd64.deb
  to pool/main/g/glibc/locales-all_2.7-16_amd64.deb
locales_2.7-16_all.deb
  to pool/main/g/glibc/locales_2.7-16_all.deb
nscd_2.7-16_amd64.deb
  to pool/main/g/glibc/nscd_2.7-16_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468793@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Nov 2008 16:31:04 +0100
Source: glibc
Binary: glibc-doc glibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.7-16
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: Libraries with debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: Libraries with debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 468793 479952 495007 503182
Changes: 
 glibc (2.7-16) unstable; urgency=low
 .
   * patches/any/cvs-rpcgen-makefile.diff: new patch from upstream to fix
     fancy Makefile filename when using rpcgen -a.  Closes: bug#503182.
   * patches/s390/local-atomic.diff: new patch from Michael Matz to fix
     atomic lock on s390.  Closes: bug#468793, bug#479952.
   * patches/any/cvs-gai-stacksize.diff new patch from upstream to fix
     getaddrinfo_a segfaults.  Closes: bug#495007.
   * debhelper.in/locales.config: use previous debconf settings if
     /etc/locales does not exists.
Checksums-Sha1: 
 b832cded5fe1288159b353c4559c3abdd1d81307 2540 glibc_2.7-16.dsc
 1f70857914764eafae0e30d1ac1dd1028b635359 745920 glibc_2.7-16.diff.gz
 d68cad012cd0d9a67bef60119a9e49f8b4d5bf42 1628692 glibc-doc_2.7-16_all.deb
 bc5b5fbe9ebb0eb1a88bf66ac07422893a3765a6 16003980 glibc-source_2.7-16_all.deb
 e7c922d0959391cb41fbc9d71802b40d8f36e423 4491318 locales_2.7-16_all.deb
 e85f1eb59b7f38628d29c39d11fcdccc5501f38f 4936850 libc6_2.7-16_amd64.deb
 404d314716ecd9d2b8a09a6a75185ba6cc73032e 2497686 libc6-dev_2.7-16_amd64.deb
 6be548a428bed762545400201b3d47dcc0205cad 1930468 libc6-prof_2.7-16_amd64.deb
 e6cfce8a2db9889c23461433d80f26b088cbc1a5 1466030 libc6-pic_2.7-16_amd64.deb
 610090f7e3aacc1795ae4b2a7691a97c00d05e01 2727982 locales-all_2.7-16_amd64.deb
 267117d7cc1853765b2239f9c3a1574c2418f837 3767324 libc6-i386_2.7-16_amd64.deb
 179d6bcbd832cb09a5e380621852af502b5dfcdb 1460396 libc6-dev-i386_2.7-16_amd64.deb
 28dac0f83fc869aa6820edd63fd53adb8795e51b 174692 nscd_2.7-16_amd64.deb
 13562cb637e75db2caacbac1b14f76ff44202bac 5328576 libc6-dbg_2.7-16_amd64.deb
 0a3da82bd43689becf7906e1868e1af65881134e 1106876 libc6-udeb_2.7-16_amd64.udeb
 151fa49c3b5e51db41d314e71b2f2dbdeff2ba1e 9412 libnss-dns-udeb_2.7-16_amd64.udeb
 f32e5e4863720c011831c662495f7e0f205b5f1b 18380 libnss-files-udeb_2.7-16_amd64.udeb
Checksums-Sha256: 
 c2ec15e3a2df4cb5755046a846d9b313ade96bae83ce7c1024da22d15e12fdaa 2540 glibc_2.7-16.dsc
 b5bad93b1b4affe2a7a99ef96af7f99c1e30c79555c077f181eb673d5db50160 745920 glibc_2.7-16.diff.gz
 3280bd37b4c4f22d28ae3df092ed38b224ee6b5bab15555435b3f2f3571925d5 1628692 glibc-doc_2.7-16_all.deb
 11f1e5eade68824217b90f82fbc8a8612cd8e791776f263d56886921d50729ac 16003980 glibc-source_2.7-16_all.deb
 1a248bbff3ec89aee8a1de62133cb991e645f57033b8236802fa35ca4e8f83ba 4491318 locales_2.7-16_all.deb
 031fcbd5805deb0b56542bd0352399c823d5c25070440d341c8c3ba21bd01604 4936850 libc6_2.7-16_amd64.deb
 ce6006ce0a71434b0e9a4d0b9674b2e2054250b9d5fd27ca910b20f502bf8d04 2497686 libc6-dev_2.7-16_amd64.deb
 cc24e5980e0340d8fd395a4cecefe3e9ff600c994cb0999ac08b5d851237149f 1930468 libc6-prof_2.7-16_amd64.deb
 c31d171c568dc801bef2c7e0b715a05fe9b389453e7ab8ac2fdbc12ceb1c9bba 1466030 libc6-pic_2.7-16_amd64.deb
 602ea688fb1d64ac0468964530b494e1d89ff9ab152bec0372dd8bafb1b65c53 2727982 locales-all_2.7-16_amd64.deb
 9808cb5d1cc687fabb73385bedcb0e202f7d07709da34577d0027c53f479d074 3767324 libc6-i386_2.7-16_amd64.deb
 499def14f0a2bdc5605d6fe87cc00d6e96240c91f6594570fee7c48ef2434513 1460396 libc6-dev-i386_2.7-16_amd64.deb
 5a46a7b2d9b4d461613b06717d3d511e610c678cf4fb2c1ad45d14597ce17cdc 174692 nscd_2.7-16_amd64.deb
 2f121fd4ab6acf87c7d98d096df0388d7ce4bc7e3ba5cddb82311811d6462f6c 5328576 libc6-dbg_2.7-16_amd64.deb
 42d76a8926b7a64ea8d068cd8ea492e40ee72b499f457b2c05e350330c81287b 1106876 libc6-udeb_2.7-16_amd64.udeb
 4268a652c1a727f7b3fd57daaea62ca688e13b5101d8ce9e8f562227e74be8a2 9412 libnss-dns-udeb_2.7-16_amd64.udeb
 de2f83f5c7dbf46f48d3e9045162378571722504b97cae90bbc19d9bcfd267f8 18380 libnss-files-udeb_2.7-16_amd64.udeb
Files: 
 390cb89c769c082ff0c4a8f9b828cf4c 2540 libs required glibc_2.7-16.dsc
 5685f6e153b446c056722b8c0c9cdc73 745920 libs required glibc_2.7-16.diff.gz
 52b868cd83ce34d8470238ff36d1842e 1628692 doc optional glibc-doc_2.7-16_all.deb
 e010d4ee3db5f88b0f962114d86c1580 16003980 devel optional glibc-source_2.7-16_all.deb
 2314d726019789705ad0b0fbc54b00ee 4491318 libs standard locales_2.7-16_all.deb
 cdac1785f24f1e39bbe0acd4bc5792df 4936850 libs required libc6_2.7-16_amd64.deb
 306e25949ee2b76c0181e560ac88e184 2497686 libdevel optional libc6-dev_2.7-16_amd64.deb
 31728765394757e4c0df5c6640295885 1930468 libdevel extra libc6-prof_2.7-16_amd64.deb
 58caa9fe7e01c24340f3ac0fed214edb 1466030 libdevel optional libc6-pic_2.7-16_amd64.deb
 b487a7e2689600a34a495f7de85f89d2 2727982 libs extra locales-all_2.7-16_amd64.deb
 697c76a00814012e266911578e232061 3767324 libs optional libc6-i386_2.7-16_amd64.deb
 f14d00a13b26966c258336ab11c2952e 1460396 libdevel optional libc6-dev-i386_2.7-16_amd64.deb
 c8b2881d7360b66886c84614487efa70 174692 admin optional nscd_2.7-16_amd64.deb
 4a6064ff80c88160b96c8c94898ff323 5328576 libdevel extra libc6-dbg_2.7-16_amd64.deb
 9b8ae8c7f65a7b77e69725c62c60e8ec 1106876 debian-installer extra libc6-udeb_2.7-16_amd64.udeb
 1eac5ef1c1a407643cb2cf1d04217a72 9412 debian-installer extra libnss-dns-udeb_2.7-16_amd64.udeb
 ea990bac126c19113a69a27a0f800867 18380 debian-installer extra libnss-files-udeb_2.7-16_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJEJNCw3ao2vG823MRAn/sAJ93+pUJSConjCjER4JsyTqN7417qQCeOzgv
wk6Goxx/gOe2s/RWXbPmjCo=
=Kcqc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Dec 2008 07:32:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:17:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.